<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage --><html lang="en">
<head><meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<!-- Generated by javadoc (1.8.0_121) on Thu Sep 26 20:37:34 UTC 2019 -->
<title>ErrorCode (HERE Android Premium SDK)</title>
<meta name="date" content="2019-09-26">
<link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../script.js"></script>
<meta name="copyright" content="© 2019 HERE Europe B.V."><meta name="html_title" content="HERE Android Premium SDK NLP Premium Edition v3.13 API Reference"><meta name="DC.Document.Id" content="28f10409-3c3a-4aab-a398-4c46acfeab3a"><meta name="DC.Document.Name" content="HERE Android Premium SDK Java API Reference"><meta name="DC.Product.Name" content="HERE Android Premium SDK"><meta name="DC.Product.Version" content="3.13"><meta name="DC.Creation.Date" content="2019-10-25T09:06:39+00:00"></head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="ErrorCode (HERE Android Premium SDK)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":9,"i1":9};
var tabs = {65535:["t0","All Methods"],1:["t1","Static Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/ErrorCode.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../com/here/android/mpa/search/EditorialMedia.html" title="class in com.here.android.mpa.search"><span class="typeNameLink">Prev Class</span></a></li>
<li><a href="../../../../../com/here/android/mpa/search/ExploreRequest.html" title="class in com.here.android.mpa.search"><span class="typeNameLink">Next Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?com/here/android/mpa/search/ErrorCode.html" target="_top">Frames</a></li>
<li><a href="ErrorCode.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary: </li>
<li>Nested | </li>
<li><a href="#enum.constant.summary">Enum Constants</a> | </li>
<li>Field | </li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail: </li>
<li><a href="#enum.constant.detail">Enum Constants</a> | </li>
<li>Field | </li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">com.here.android.mpa.search</div>
<h2 title="Enum ErrorCode" class="title">Enum ErrorCode</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li>java.lang.Enum&lt;<a href="../../../../../com/here/android/mpa/search/ErrorCode.html" title="enum in com.here.android.mpa.search">ErrorCode</a>&gt;</li>
<li>
<ul class="inheritance">
<li>com.here.android.mpa.search.ErrorCode</li>
</ul>
</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Implemented Interfaces:</dt>
<dd>java.io.Serializable, java.lang.Comparable&lt;<a href="../../../../../com/here/android/mpa/search/ErrorCode.html" title="enum in com.here.android.mpa.search">ErrorCode</a>&gt;</dd>
</dl>
<hr>
<br>
<pre>public enum <span class="typeNameLabel">ErrorCode</span>
extends java.lang.Enum&lt;<a href="../../../../../com/here/android/mpa/search/ErrorCode.html" title="enum in com.here.android.mpa.search">ErrorCode</a>&gt;</pre>
<div class="block">Represents values describing possible search request errors.</div>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- =========== ENUM CONSTANT SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="enum.constant.summary">
<!--   -->
</a>
<h3>Enum Constant Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Enum Constant Summary table, listing enum constants, and an explanation">
<caption><span>Enum Constants</span><span class="tabEnd"> </span></caption>
<tr>
<th class="colOne" scope="col">Enum Constant and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/search/ErrorCode.html#ACCEPTED">ACCEPTED</a></span></code>
<div class="block">The query request was accepted, though not yet processed.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/search/ErrorCode.html#BAD_LOCATION">BAD_LOCATION</a></span></code>
<div class="block">The query request contained bad location data.</div>
</td>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/search/ErrorCode.html#BAD_REQUEST">BAD_REQUEST</a></span></code>
<div class="block">The query request was malformed and will not be processed.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/search/ErrorCode.html#BUSY">BUSY</a></span></code>
<div class="block">The search service was busy with another request.</div>
</td>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/search/ErrorCode.html#CANCEL">CANCEL</a></span></code>
<div class="block">The query request was cancelled.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/search/ErrorCode.html#CANCELLED">CANCELLED</a></span></code>
<div class="block">The query request was cancelled.</div>
</td>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/search/ErrorCode.html#CREATED">CREATED</a></span></code>
<div class="block">The response to the query request was created.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/search/ErrorCode.html#FORBIDDEN">FORBIDDEN</a></span></code>
<div class="block">Access to the requested resource was forbidden.</div>
</td>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/search/ErrorCode.html#GENERAL">GENERAL</a></span></code>
<div class="block">There was a general error.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/search/ErrorCode.html#HTTP">HTTP</a></span></code>
<div class="block">The query request failed due to an HTTP error.</div>
</td>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/search/ErrorCode.html#INCOMPLETE">INCOMPLETE</a></span></code>
<div class="block">The results of the query request were incomplete.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/search/ErrorCode.html#INDEX_FAILURE">INDEX_FAILURE</a></span></code>
<div class="block">There was an search service index failure.</div>
</td>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/search/ErrorCode.html#INVALID_CREDENTIALS">INVALID_CREDENTIALS</a></span></code>
<div class="block">The HERE application ID and application code were missing or invalid.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/search/ErrorCode.html#INVALID_OPERATION">INVALID_OPERATION</a></span></code>
<div class="block">The query request triggered an invalid operation.</div>
</td>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/search/ErrorCode.html#INVALID_PARAMETER">INVALID_PARAMETER</a></span></code>
<div class="block">A query request parameter was invalid.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/search/ErrorCode.html#INVALID_PARAMETERS">INVALID_PARAMETERS</a></span></code>
<div class="block">The request contains invalid parameters.</div>
</td>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/search/ErrorCode.html#INVALID_STATE">INVALID_STATE</a></span></code>
<div class="block">The search service was in an invalid state.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/search/ErrorCode.html#MOVED_PERMANENTLY">MOVED_PERMANENTLY</a></span></code>
<div class="block">The requested resource has moved permanently.</div>
</td>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/search/ErrorCode.html#NETWORK_BAD_URI">NETWORK_BAD_URI</a></span></code>
<div class="block">The HTTP request URI was invalid or malformed.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/search/ErrorCode.html#NETWORK_COMMUNICATION">NETWORK_COMMUNICATION</a></span></code>
<div class="block">There was a network communications error.</div>
</td>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/search/ErrorCode.html#NETWORK_EMPTY_INPUT">NETWORK_EMPTY_INPUT</a></span></code>
<div class="block">The query request input was missing.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/search/ErrorCode.html#NETWORK_REQUEST_CONTENT">NETWORK_REQUEST_CONTENT</a></span></code>
<div class="block">The query request content was invalid.</div>
</td>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/search/ErrorCode.html#NETWORK_REQUIRED">NETWORK_REQUIRED</a></span></code>
<div class="block">The query request could not be completed while offline.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/search/ErrorCode.html#NETWORK_SERVER">NETWORK_SERVER</a></span></code>
<div class="block">The backend server was unreachable.</div>
</td>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/search/ErrorCode.html#NETWORK_UNKNOWN">NETWORK_UNKNOWN</a></span></code>
<div class="block">There was an unknown network error.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/search/ErrorCode.html#NO_CONTENT">NO_CONTENT</a></span></code>
<div class="block">The response to the query request contained no content.</div>
</td>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/search/ErrorCode.html#NONE">NONE</a></span></code>
<div class="block">No error was encountered.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/search/ErrorCode.html#NOT_ACCEPTABLE">NOT_ACCEPTABLE</a></span></code>
<div class="block">The response to the query request was not in a format that is acceptable
 to the client.</div>
</td>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/search/ErrorCode.html#NOT_FOUND">NOT_FOUND</a></span></code>
<div class="block">No appropriate response to the query request could be found.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/search/ErrorCode.html#NOT_INITIALIZED">NOT_INITIALIZED</a></span></code>
<div class="block">The search service was not properly initialized.</div>
</td>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/search/ErrorCode.html#OPERATION_NOT_ALLOWED">OPERATION_NOT_ALLOWED</a></span></code>
<div class="block">Access to this operation is denied.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/search/ErrorCode.html#OUT_OF_MEMORY">OUT_OF_MEMORY</a></span></code>
<div class="block">There was insufficient memory to complete the query request.</div>
</td>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/search/ErrorCode.html#QUERY_ADDRESS_MISSING">QUERY_ADDRESS_MISSING</a></span></code>
<div class="block">The query request was missing an address parameter.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/search/ErrorCode.html#QUERY_LOCATION_CONTEXT_INVALID">QUERY_LOCATION_CONTEXT_INVALID</a></span></code>
<div class="block">The query location context was invalid.</div>
</td>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/search/ErrorCode.html#QUERY_LOCATION_CONTEXT_MISSING">QUERY_LOCATION_CONTEXT_MISSING</a></span></code>
<div class="block">The query request was missing a location context parameter.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/search/ErrorCode.html#QUERY_NO_NEXT_PAGE">QUERY_NO_NEXT_PAGE</a></span></code>
<div class="block">No further paginated results exist.</div>
</td>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/search/ErrorCode.html#QUERY_TEXT_MISSING">QUERY_TEXT_MISSING</a></span></code>
<div class="block">The query request was missing a search text parameter.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/search/ErrorCode.html#QUERY_URI_MISSING">QUERY_URI_MISSING</a></span></code>
<div class="block">The query request was missing a link URI.</div>
</td>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/search/ErrorCode.html#RESOURCE_GONE">RESOURCE_GONE</a></span></code>
<div class="block">The resource no longer exists at the requested server location.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/search/ErrorCode.html#SEARCH_RESULT_ITEM_MISSING">SEARCH_RESULT_ITEM_MISSING</a></span></code>
<div class="block">The place details query was missing a search result item parameter.</div>
</td>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/search/ErrorCode.html#SERVER_CONNECTION">SERVER_CONNECTION</a></span></code>
<div class="block">There was a problem with the server connection.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/search/ErrorCode.html#SERVER_INTERNAL">SERVER_INTERNAL</a></span></code>
<div class="block">There was an internal server error.</div>
</td>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/search/ErrorCode.html#SERVICE_UNAVAILABLE">SERVICE_UNAVAILABLE</a></span></code>
<div class="block">The search service was unavailable.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/search/ErrorCode.html#UNAUTHORIZED">UNAUTHORIZED</a></span></code>
<div class="block">The query request did not contain necessary authentication information.</div>
</td>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/search/ErrorCode.html#UNKNOWN">UNKNOWN</a></span></code>
<div class="block">There was an unknown error.</div>
</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd"> </span></span><span id="t1" class="tableTab"><span><a href="javascript:show(1);">Static Methods</a></span><span class="tabEnd"> </span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd"> </span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>static <a href="../../../../../com/here/android/mpa/search/ErrorCode.html" title="enum in com.here.android.mpa.search">ErrorCode</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/search/ErrorCode.html#valueOf-java.lang.String-">valueOf</a></span>(java.lang.String name)</code>
<div class="block">Returns the enum constant of this type with the specified name.</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>static <a href="../../../../../com/here/android/mpa/search/ErrorCode.html" title="enum in com.here.android.mpa.search">ErrorCode</a>[]</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/search/ErrorCode.html#values--">values</a></span>()</code>
<div class="block">Returns an array containing the constants of this enum type, in
the order they are declared.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Enum">
<!--   -->
</a>
<h3>Methods inherited from class java.lang.Enum</h3>
<code>clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class java.lang.Object</h3>
<code>getClass, notify, notifyAll, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ ENUM CONSTANT DETAIL =========== -->
<ul class="blockList">
<li class="blockList"><a name="enum.constant.detail">
<!--   -->
</a>
<h3>Enum Constant Detail</h3>
<a name="NONE">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>NONE</h4>
<pre>public static final <a href="../../../../../com/here/android/mpa/search/ErrorCode.html" title="enum in com.here.android.mpa.search">ErrorCode</a> NONE</pre>
<div class="block">No error was encountered.</div>
</li>
</ul>
<a name="GENERAL">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>GENERAL</h4>
<pre>public static final <a href="../../../../../com/here/android/mpa/search/ErrorCode.html" title="enum in com.here.android.mpa.search">ErrorCode</a> GENERAL</pre>
<div class="block">There was a general error.</div>
</li>
</ul>
<a name="NOT_FOUND">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>NOT_FOUND</h4>
<pre>public static final <a href="../../../../../com/here/android/mpa/search/ErrorCode.html" title="enum in com.here.android.mpa.search">ErrorCode</a> NOT_FOUND</pre>
<div class="block">No appropriate response to the query request could be found.</div>
</li>
</ul>
<a name="NOT_INITIALIZED">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>NOT_INITIALIZED</h4>
<pre>public static final <a href="../../../../../com/here/android/mpa/search/ErrorCode.html" title="enum in com.here.android.mpa.search">ErrorCode</a> NOT_INITIALIZED</pre>
<div class="block">The search service was not properly initialized.</div>
</li>
</ul>
<a name="INCOMPLETE">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>INCOMPLETE</h4>
<pre>public static final <a href="../../../../../com/here/android/mpa/search/ErrorCode.html" title="enum in com.here.android.mpa.search">ErrorCode</a> INCOMPLETE</pre>
<div class="block">The results of the query request were incomplete.</div>
</li>
</ul>
<a name="NETWORK_REQUIRED">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>NETWORK_REQUIRED</h4>
<pre>public static final <a href="../../../../../com/here/android/mpa/search/ErrorCode.html" title="enum in com.here.android.mpa.search">ErrorCode</a> NETWORK_REQUIRED</pre>
<div class="block">The query request could not be completed while offline.</div>
</li>
</ul>
<a name="OUT_OF_MEMORY">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>OUT_OF_MEMORY</h4>
<pre>public static final <a href="../../../../../com/here/android/mpa/search/ErrorCode.html" title="enum in com.here.android.mpa.search">ErrorCode</a> OUT_OF_MEMORY</pre>
<div class="block">There was insufficient memory to complete the query request.</div>
</li>
</ul>
<a name="UNKNOWN">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>UNKNOWN</h4>
<pre>public static final <a href="../../../../../com/here/android/mpa/search/ErrorCode.html" title="enum in com.here.android.mpa.search">ErrorCode</a> UNKNOWN</pre>
<div class="block">There was an unknown error.</div>
</li>
</ul>
<a name="INVALID_PARAMETERS">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>INVALID_PARAMETERS</h4>
<pre>public static final <a href="../../../../../com/here/android/mpa/search/ErrorCode.html" title="enum in com.here.android.mpa.search">ErrorCode</a> INVALID_PARAMETERS</pre>
<div class="block">The request contains invalid parameters.</div>
</li>
</ul>
<a name="CANCEL">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>CANCEL</h4>
<pre>public static final <a href="../../../../../com/here/android/mpa/search/ErrorCode.html" title="enum in com.here.android.mpa.search">ErrorCode</a> CANCEL</pre>
<div class="block">The query request was cancelled.</div>
</li>
</ul>
<a name="BUSY">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>BUSY</h4>
<pre>public static final <a href="../../../../../com/here/android/mpa/search/ErrorCode.html" title="enum in com.here.android.mpa.search">ErrorCode</a> BUSY</pre>
<div class="block">The search service was busy with another request.</div>
</li>
</ul>
<a name="INVALID_STATE">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>INVALID_STATE</h4>
<pre>public static final <a href="../../../../../com/here/android/mpa/search/ErrorCode.html" title="enum in com.here.android.mpa.search">ErrorCode</a> INVALID_STATE</pre>
<div class="block">The search service was in an invalid state.</div>
</li>
</ul>
<a name="SERVER_CONNECTION">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>SERVER_CONNECTION</h4>
<pre>public static final <a href="../../../../../com/here/android/mpa/search/ErrorCode.html" title="enum in com.here.android.mpa.search">ErrorCode</a> SERVER_CONNECTION</pre>
<div class="block">There was a problem with the server connection.</div>
</li>
</ul>
<a name="INVALID_OPERATION">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>INVALID_OPERATION</h4>
<pre>public static final <a href="../../../../../com/here/android/mpa/search/ErrorCode.html" title="enum in com.here.android.mpa.search">ErrorCode</a> INVALID_OPERATION</pre>
<div class="block">The query request triggered an invalid operation.</div>
</li>
</ul>
<a name="BAD_LOCATION">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>BAD_LOCATION</h4>
<pre>public static final <a href="../../../../../com/here/android/mpa/search/ErrorCode.html" title="enum in com.here.android.mpa.search">ErrorCode</a> BAD_LOCATION</pre>
<div class="block">The query request contained bad location data.</div>
</li>
</ul>
<a name="INDEX_FAILURE">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>INDEX_FAILURE</h4>
<pre>public static final <a href="../../../../../com/here/android/mpa/search/ErrorCode.html" title="enum in com.here.android.mpa.search">ErrorCode</a> INDEX_FAILURE</pre>
<div class="block">There was an search service index failure.</div>
</li>
</ul>
<a name="CANCELLED">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>CANCELLED</h4>
<pre>public static final <a href="../../../../../com/here/android/mpa/search/ErrorCode.html" title="enum in com.here.android.mpa.search">ErrorCode</a> CANCELLED</pre>
<div class="block">The query request was cancelled.</div>
</li>
</ul>
<a name="CREATED">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>CREATED</h4>
<pre>public static final <a href="../../../../../com/here/android/mpa/search/ErrorCode.html" title="enum in com.here.android.mpa.search">ErrorCode</a> CREATED</pre>
<div class="block">The response to the query request was created.</div>
</li>
</ul>
<a name="ACCEPTED">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>ACCEPTED</h4>
<pre>public static final <a href="../../../../../com/here/android/mpa/search/ErrorCode.html" title="enum in com.here.android.mpa.search">ErrorCode</a> ACCEPTED</pre>
<div class="block">The query request was accepted, though not yet processed.</div>
</li>
</ul>
<a name="NO_CONTENT">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>NO_CONTENT</h4>
<pre>public static final <a href="../../../../../com/here/android/mpa/search/ErrorCode.html" title="enum in com.here.android.mpa.search">ErrorCode</a> NO_CONTENT</pre>
<div class="block">The response to the query request contained no content.</div>
</li>
</ul>
<a name="SERVER_INTERNAL">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>SERVER_INTERNAL</h4>
<pre>public static final <a href="../../../../../com/here/android/mpa/search/ErrorCode.html" title="enum in com.here.android.mpa.search">ErrorCode</a> SERVER_INTERNAL</pre>
<div class="block">There was an internal server error.</div>
</li>
</ul>
<a name="SERVICE_UNAVAILABLE">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>SERVICE_UNAVAILABLE</h4>
<pre>public static final <a href="../../../../../com/here/android/mpa/search/ErrorCode.html" title="enum in com.here.android.mpa.search">ErrorCode</a> SERVICE_UNAVAILABLE</pre>
<div class="block">The search service was unavailable.</div>
</li>
</ul>
<a name="MOVED_PERMANENTLY">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>MOVED_PERMANENTLY</h4>
<pre>public static final <a href="../../../../../com/here/android/mpa/search/ErrorCode.html" title="enum in com.here.android.mpa.search">ErrorCode</a> MOVED_PERMANENTLY</pre>
<div class="block">The requested resource has moved permanently.</div>
</li>
</ul>
<a name="BAD_REQUEST">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>BAD_REQUEST</h4>
<pre>public static final <a href="../../../../../com/here/android/mpa/search/ErrorCode.html" title="enum in com.here.android.mpa.search">ErrorCode</a> BAD_REQUEST</pre>
<div class="block">The query request was malformed and will not be processed.</div>
</li>
</ul>
<a name="UNAUTHORIZED">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>UNAUTHORIZED</h4>
<pre>public static final <a href="../../../../../com/here/android/mpa/search/ErrorCode.html" title="enum in com.here.android.mpa.search">ErrorCode</a> UNAUTHORIZED</pre>
<div class="block">The query request did not contain necessary authentication information.</div>
</li>
</ul>
<a name="FORBIDDEN">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>FORBIDDEN</h4>
<pre>public static final <a href="../../../../../com/here/android/mpa/search/ErrorCode.html" title="enum in com.here.android.mpa.search">ErrorCode</a> FORBIDDEN</pre>
<div class="block">Access to the requested resource was forbidden.</div>
</li>
</ul>
<a name="OPERATION_NOT_ALLOWED">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>OPERATION_NOT_ALLOWED</h4>
<pre>public static final <a href="../../../../../com/here/android/mpa/search/ErrorCode.html" title="enum in com.here.android.mpa.search">ErrorCode</a> OPERATION_NOT_ALLOWED</pre>
<div class="block">Access to this operation is denied. Contact your HERE representative for more information.</div>
</li>
</ul>
<a name="NOT_ACCEPTABLE">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>NOT_ACCEPTABLE</h4>
<pre>public static final <a href="../../../../../com/here/android/mpa/search/ErrorCode.html" title="enum in com.here.android.mpa.search">ErrorCode</a> NOT_ACCEPTABLE</pre>
<div class="block">The response to the query request was not in a format that is acceptable
 to the client.</div>
</li>
</ul>
<a name="RESOURCE_GONE">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>RESOURCE_GONE</h4>
<pre>public static final <a href="../../../../../com/here/android/mpa/search/ErrorCode.html" title="enum in com.here.android.mpa.search">ErrorCode</a> RESOURCE_GONE</pre>
<div class="block">The resource no longer exists at the requested server location.</div>
</li>
</ul>
<a name="QUERY_ADDRESS_MISSING">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>QUERY_ADDRESS_MISSING</h4>
<pre>public static final <a href="../../../../../com/here/android/mpa/search/ErrorCode.html" title="enum in com.here.android.mpa.search">ErrorCode</a> QUERY_ADDRESS_MISSING</pre>
<div class="block">The query request was missing an address parameter.</div>
</li>
</ul>
<a name="QUERY_LOCATION_CONTEXT_INVALID">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>QUERY_LOCATION_CONTEXT_INVALID</h4>
<pre>public static final <a href="../../../../../com/here/android/mpa/search/ErrorCode.html" title="enum in com.here.android.mpa.search">ErrorCode</a> QUERY_LOCATION_CONTEXT_INVALID</pre>
<div class="block">The query location context was invalid.</div>
</li>
</ul>
<a name="QUERY_LOCATION_CONTEXT_MISSING">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>QUERY_LOCATION_CONTEXT_MISSING</h4>
<pre>public static final <a href="../../../../../com/here/android/mpa/search/ErrorCode.html" title="enum in com.here.android.mpa.search">ErrorCode</a> QUERY_LOCATION_CONTEXT_MISSING</pre>
<div class="block">The query request was missing a location context parameter.</div>
</li>
</ul>
<a name="QUERY_NO_NEXT_PAGE">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>QUERY_NO_NEXT_PAGE</h4>
<pre>public static final <a href="../../../../../com/here/android/mpa/search/ErrorCode.html" title="enum in com.here.android.mpa.search">ErrorCode</a> QUERY_NO_NEXT_PAGE</pre>
<div class="block">No further paginated results exist.</div>
</li>
</ul>
<a name="QUERY_TEXT_MISSING">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>QUERY_TEXT_MISSING</h4>
<pre>public static final <a href="../../../../../com/here/android/mpa/search/ErrorCode.html" title="enum in com.here.android.mpa.search">ErrorCode</a> QUERY_TEXT_MISSING</pre>
<div class="block">The query request was missing a search text parameter.</div>
</li>
</ul>
<a name="QUERY_URI_MISSING">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>QUERY_URI_MISSING</h4>
<pre>public static final <a href="../../../../../com/here/android/mpa/search/ErrorCode.html" title="enum in com.here.android.mpa.search">ErrorCode</a> QUERY_URI_MISSING</pre>
<div class="block">The query request was missing a link URI.</div>
</li>
</ul>
<a name="SEARCH_RESULT_ITEM_MISSING">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>SEARCH_RESULT_ITEM_MISSING</h4>
<pre>public static final <a href="../../../../../com/here/android/mpa/search/ErrorCode.html" title="enum in com.here.android.mpa.search">ErrorCode</a> SEARCH_RESULT_ITEM_MISSING</pre>
<div class="block">The place details query was missing a search result item parameter.</div>
</li>
</ul>
<a name="INVALID_PARAMETER">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>INVALID_PARAMETER</h4>
<pre>public static final <a href="../../../../../com/here/android/mpa/search/ErrorCode.html" title="enum in com.here.android.mpa.search">ErrorCode</a> INVALID_PARAMETER</pre>
<div class="block">A query request parameter was invalid.</div>
</li>
</ul>
<a name="NETWORK_COMMUNICATION">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>NETWORK_COMMUNICATION</h4>
<pre>public static final <a href="../../../../../com/here/android/mpa/search/ErrorCode.html" title="enum in com.here.android.mpa.search">ErrorCode</a> NETWORK_COMMUNICATION</pre>
<div class="block">There was a network communications error.</div>
</li>
</ul>
<a name="NETWORK_BAD_URI">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>NETWORK_BAD_URI</h4>
<pre>public static final <a href="../../../../../com/here/android/mpa/search/ErrorCode.html" title="enum in com.here.android.mpa.search">ErrorCode</a> NETWORK_BAD_URI</pre>
<div class="block">The HTTP request URI was invalid or malformed.</div>
</li>
</ul>
<a name="NETWORK_SERVER">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>NETWORK_SERVER</h4>
<pre>public static final <a href="../../../../../com/here/android/mpa/search/ErrorCode.html" title="enum in com.here.android.mpa.search">ErrorCode</a> NETWORK_SERVER</pre>
<div class="block">The backend server was unreachable.</div>
</li>
</ul>
<a name="NETWORK_REQUEST_CONTENT">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>NETWORK_REQUEST_CONTENT</h4>
<pre>public static final <a href="../../../../../com/here/android/mpa/search/ErrorCode.html" title="enum in com.here.android.mpa.search">ErrorCode</a> NETWORK_REQUEST_CONTENT</pre>
<div class="block">The query request content was invalid.</div>
</li>
</ul>
<a name="NETWORK_EMPTY_INPUT">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>NETWORK_EMPTY_INPUT</h4>
<pre>public static final <a href="../../../../../com/here/android/mpa/search/ErrorCode.html" title="enum in com.here.android.mpa.search">ErrorCode</a> NETWORK_EMPTY_INPUT</pre>
<div class="block">The query request input was missing.</div>
</li>
</ul>
<a name="INVALID_CREDENTIALS">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>INVALID_CREDENTIALS</h4>
<pre>public static final <a href="../../../../../com/here/android/mpa/search/ErrorCode.html" title="enum in com.here.android.mpa.search">ErrorCode</a> INVALID_CREDENTIALS</pre>
<div class="block">The HERE application ID and application code were missing or invalid.</div>
</li>
</ul>
<a name="HTTP">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>HTTP</h4>
<pre>public static final <a href="../../../../../com/here/android/mpa/search/ErrorCode.html" title="enum in com.here.android.mpa.search">ErrorCode</a> HTTP</pre>
<div class="block">The query request failed due to an HTTP error.</div>
</li>
</ul>
<a name="NETWORK_UNKNOWN">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>NETWORK_UNKNOWN</h4>
<pre>public static final <a href="../../../../../com/here/android/mpa/search/ErrorCode.html" title="enum in com.here.android.mpa.search">ErrorCode</a> NETWORK_UNKNOWN</pre>
<div class="block">There was an unknown network error.</div>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="values--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>values</h4>
<pre>public static <a href="../../../../../com/here/android/mpa/search/ErrorCode.html" title="enum in com.here.android.mpa.search">ErrorCode</a>[] values()</pre>
<div class="block">Returns an array containing the constants of this enum type, in
the order they are declared.  This method may be used to iterate
over the constants as follows:
<pre>
for (ErrorCode c : ErrorCode.values())
    System.out.println(c);
</pre></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>an array containing the constants of this enum type, in the order they are declared</dd>
</dl>
</li>
</ul>
<a name="valueOf-java.lang.String-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>valueOf</h4>
<pre>public static <a href="../../../../../com/here/android/mpa/search/ErrorCode.html" title="enum in com.here.android.mpa.search">ErrorCode</a> valueOf(java.lang.String name)</pre>
<div class="block">Returns the enum constant of this type with the specified name.
The string must match <i>exactly</i> an identifier used to declare an
enum constant in this type.  (Extraneous whitespace characters are 
not permitted.)</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>name</code> - the name of the enum constant to be returned.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the enum constant with the specified name</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code>java.lang.IllegalArgumentException</code> - if this enum type has no constant with the specified name</dd>
<dd><code>java.lang.NullPointerException</code> - if the argument is null</dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/ErrorCode.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
<div class="aboutLanguage">Copyright (c) 2011-2019 HERE Global B.V. All rights reserved.</div>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../com/here/android/mpa/search/EditorialMedia.html" title="class in com.here.android.mpa.search"><span class="typeNameLink">Prev Class</span></a></li>
<li><a href="../../../../../com/here/android/mpa/search/ExploreRequest.html" title="class in com.here.android.mpa.search"><span class="typeNameLink">Next Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?com/here/android/mpa/search/ErrorCode.html" target="_top">Frames</a></li>
<li><a href="ErrorCode.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary: </li>
<li>Nested | </li>
<li><a href="#enum.constant.summary">Enum Constants</a> | </li>
<li>Field | </li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail: </li>
<li><a href="#enum.constant.detail">Enum Constants</a> | </li>
<li>Field | </li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
